package com.jessebrault.ssg.di

import com.jessebrault.di.DefaultRegistryObjectFactory
import com.jessebrault.di.RegistryObjectFactory

final class SsgObjectFactoryUtil {

    static RegistryObjectFactory getDefault() {
        DefaultRegistryObjectFactory.Builder.withDefaults().with {
            it.configureRegistry { registry ->
                registry.addExtension(new PagesExtension())
            }
            build()
        }
    }

    private SsgObjectFactoryUtil() {}

}
